Bug 138001 - Cron jobs run twice during Daylight savings time
Cron jobs run twice during Daylight savings time
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks: 161600
  Show dependency treegraph
 
Reported: 2004-11-03 13:26 EST by Josef Bacik
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-01 13:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2004-11-03 13:26:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
A user had three cron jobs run twice this past weekend because of
daylight savings time.  Talked with the engineers, apparently this has
been fixed upstream but hasn't been backported to RHEL 3 yet.

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-75.1

How reproducible:
Always

Steps to Reproduce:
1.His jobs ran between midnight and 2 am during daylight savings time
2.
3.
    

Actual Results:  The scripts ran twice

Expected Results:  the scripts should have only run once

Additional info:
Comment 1 Jason Vas Dias 2004-11-03 13:49:28 EST
 This problem is fixed in vixie-cron-4.1-+ as in FC3/RHEL4 .
 vixie-cron must be upgraded to 4.1 in RHEL-3.
 
Comment 2 Jason Vas Dias 2004-11-10 11:54:02 EST
 vixie-cron is now upgraded to vixie-cron-4.1-1_EL3 in RHEL3 .
 It should be included in RHEL-3-U5.
 Meanwhile, you can download it for testing from :
    
    http://people.redhat.com/~jvdias/vixie-cron/RHEL-3 
Comment 3 Sergio Monteiro Basto 2005-05-11 13:18:02 EDT
Hi, this is the most similar bug that I can found.
I am using vixie-cron-4.1-33_FC3, 
when I turn on my laptop after midinight, May 11 02:46:56
logwatch start before the schedual and send the email from anonymous user ?
After this run at schedual time and send normally the email from root user.
After many time trying understand the problem, I realize this happens when I
reboot or power on my laptop after 0:00 am and before 4:02 am 
Comment 4 Jason Vas Dias 2005-05-11 14:30:17 EDT
(In reply to comment #3) :
please see bug #157448 raised about the problem you report, which is NOT 
related to the DST change issue that is the subject of this bug report.
Comment 5 Jason Vas Dias 2005-10-14 11:41:41 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .
Comment 8 Jason Vas Dias 2006-05-01 13:38:40 EDT
This bug is fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7, with 
errata RHSA-2005:0117

Note You need to log in before you can comment on or make changes to this bug.